| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::rfnoc::test::mock_radio_node_t Class Reference

`#include <uhd/rfnoc/mock_nodes.hpp>`

Inheritance diagram for uhd::rfnoc::test::mock_radio_node_t:

## Public Member Functions
| mock_radio_node_t (const size_t radio_idx)
void | update_fwd_policy (forwarding_policy_t policy)
std::string | get_unique_id () const override
| Return a unique identifier string for this node. In every RFNoC graph,.
size_t | get_num_input_ports () const override
size_t | get_num_output_ports () const override
void | generate_overrun (const size_t chan)
void | generate_underrun (const size_t chan, uhd::time_spec_t time_spec)
Public Member Functions inherited from uhd::rfnoc::node_t
| node_t ()
virtual | ~node_t ()
std::vector< std::string > | get_property_ids () const
template<typename prop_data_t>
void | set_property (const std::string &id, const prop_data_t &val, const size_t instance=0)
void | set_properties (const uhd::device_addr_t &props, const size_t instance=0)
template<typename prop_data_t>
const prop_data_t & | get_property (const std::string &id, const size_t instance=0)
virtual void | set_command_time (uhd::time_spec_t time, const size_t instance)
virtual uhd::time_spec_t | get_command_time (const size_t instance) const
virtual void | clear_command_time (const size_t instance)

## Public Attributes
size_t | rssi_resolver_count = 0
bool | disable_samp_out_resolver = false
double | force_samp_out_value = 23e6
size_t | last_num_samps = 0

## Additional Inherited Members
Public Types inherited from uhd::rfnoc::node_t
enum class | forwarding_policy_t { ONE_TO_ONE , ONE_TO_FAN , ONE_TO_ALL_IN , ONE_TO_ALL_OUT , ONE_TO_ALL , DROP , USE_MAP }
| Types of property/action forwarding for those not defined by the block itself. More...
using | resolver_fn_t = std::function<void(void)>
using | resolve_callback_t = std::function<void(void)>
using | graph_mutex_callback_t = std::function<std::recursive_mutex&(void)>
using | action_handler_t
using | forwarding_map_t
Static Public Attributes inherited from uhd::rfnoc::node_t
static const size_t | ANY_PORT = size_t(~0)
Protected Types inherited from uhd::rfnoc::node_t
using | prop_ptrs_t = std::vector<property_base_t*>
Protected Member Functions inherited from uhd::rfnoc::node_t
void | register_property (property_base_t *prop, resolve_callback_t &&clean_callback=nullptr)
void | add_property_resolver (prop_ptrs_t &&inputs, prop_ptrs_t &&outputs, resolver_fn_t &&resolver_fn)
void | set_prop_forwarding_policy (forwarding_policy_t policy, const std::string &prop_id="")
void | set_prop_forwarding_map (const forwarding_map_t &map)
template<typename prop_data_t>
void | set_property (const std::string &id, const prop_data_t &val, const res_source_info &src_info)
template<typename prop_data_t>
const prop_data_t & | get_property (const std::string &id, const res_source_info &src_info)
void | register_action_handler (const std::string &id, action_handler_t &&handler)
void | set_action_forwarding_policy (forwarding_policy_t policy, const std::string &action_key="")
void | set_action_forwarding_map (const forwarding_map_t &map)
void | post_action (const res_source_info &edge_info, action_info::sptr action)
virtual bool | check_topology (const std::vector< size_t > &connected_inputs, const std::vector< size_t > &connected_outputs)
virtual void | shutdown ()
Static Protected Attributes inherited from uhd::rfnoc::node_t
static dirtifier_t | ALWAYS_DIRTY
| A dirtifyer object, useful for properties that always need updating.

## Detailed Description

Mock Radio node

- "Full Duplex"
- Has two master clock rates: 100e6 and 200e6
- RSSI is a read-only prop that always needs updating

## Constructor & Destructor Documentation

## ◆ mock_radio_node_t()

uhd::rfnoc::test::mock_radio_node_t::mock_radio_node_t | ( | const size_t | radio_idx | ) |
| inline

## Member Function Documentation

## ◆ generate_overrun()

void uhd::rfnoc::test::mock_radio_node_t::generate_overrun | ( | const size_t | chan | ) |
| inline

## ◆ generate_underrun()

void uhd::rfnoc::test::mock_radio_node_t::generate_underrun | ( | const size_t | chan,
|  | uhd::time_spec_t | time_spec )
| inline

## ◆ get_num_input_ports()

size_t uhd::rfnoc::test::mock_radio_node_t::get_num_input_ports | ( |  | ) | const
| inline override virtual

Return the number of input ports for this block.

This function needs to be overridden.

Returns
  noc_id The number of ports

Implements uhd::rfnoc::node_t.

## ◆ get_num_output_ports()

size_t uhd::rfnoc::test::mock_radio_node_t::get_num_output_ports | ( |  | ) | const
| inline override virtual

Return the number of output ports for this block.

This function needs to be overridden.

Returns
  noc_id The number of ports

Implements uhd::rfnoc::node_t.

## ◆ get_unique_id()

std::string uhd::rfnoc::test::mock_radio_node_t::get_unique_id | ( |  | ) | const
| inline override virtual

Return a unique identifier string for this node. In every RFNoC graph,.

Reimplemented from uhd::rfnoc::node_t.

## ◆ update_fwd_policy()

void uhd::rfnoc::test::mock_radio_node_t::update_fwd_policy | ( | forwarding_policy_t | policy | ) |
| inline

## Member Data Documentation

## ◆ disable_samp_out_resolver

bool uhd::rfnoc::test::mock_radio_node_t::disable_samp_out_resolver = false

## ◆ force_samp_out_value

double uhd::rfnoc::test::mock_radio_node_t::force_samp_out_value = 23e6

## ◆ last_num_samps

size_t uhd::rfnoc::test::mock_radio_node_t::last_num_samps = 0

## ◆ rssi_resolver_count

size_t uhd::rfnoc::test::mock_radio_node_t::rssi_resolver_count = 0

The documentation for this class was generated from the following file:

- mock_nodes.hpp